Bug 1132256 - (CVE-2019-6201) VUL-0: webkit2gtk3: WebKitGTK and WPE WebKit Security Advisory WSA-2019-0002
(CVE-2019-6201)
VUL-0: webkit2gtk3: WebKitGTK and WPE WebKit Security Advisory WSA-2019-0002
Status: RESOLVED FIXED
: CVE-2019-11070 (view as bug list)
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-11 15:51 UTC by Marcus Meissner
Modified: 2019-10-18 18:40 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2019-04-11 15:51:58 UTC
------------------------------------------------------------------------
WebKitGTK and WPE WebKit Security Advisory WSA-2019-0002
------------------------------------------------------------------------

Date reported : April 10, 2019
Advisory ID : WSA-2019-0002
WebKitGTK Advisory URL : 
https://webkitgtk.org/security/WSA-2019-0002.html
WPE WebKit Advisory URL : 
https://wpewebkit.org/security/WSA-2019-0002.html
CVE identifiers : CVE-2019-6201, CVE-2019-6251, CVE-2019-7285,
                          CVE-2019-7292, CVE-2019-8503, CVE-2019-8506,
                          CVE-2019-8515, CVE-2019-8518, CVE-2019-8523,
                          CVE-2019-8524, CVE-2019-8535, CVE-2019-8536,
                          CVE-2019-8544, CVE-2019-8551, CVE-2019-8558,
                          CVE-2019-8559, CVE-2019-8563, CVE-2019-11070.

Several vulnerabilities were discovered in WebKitGTK and WPE WebKit.

CVE-2019-6201
    Versions affected: WebKitGTK before 2.22.6 and WPE WebKit before
    2.22.4.
    Credit to dwfault working with ADLab of Venustech.
    Processing maliciously crafted web content may lead to arbitrary
    code execution. Multiple memory corruption issues were addressed
    with improved memory handling.

CVE-2019-6251
    Versions affected: WebKitGTK and WPE WebKit before 2.24.1.
    Credit to Dhiraj.
    Processing maliciously crafted web content may lead to spoofing.
    WebKitGTK and WPE WebKit were vulnerable to a URI spoofing attack
    similar to the CVE-2018-8383 issue in Microsoft Edge.

CVE-2019-7285
    Versions affected: WebKitGTK before 2.22.6 and WPE WebKit before
    2.22.4.
    Credit to dwfault working at ADLab of Venustech.
    Processing maliciously crafted web content may lead to arbitrary
    code execution. A use after free issue was addressed with improved
    memory management.

CVE-2019-7292
    Versions affected: WebKitGTK before 2.22.6 and WPE WebKit before
    2.22.4.
    Credit to Zhunki and Zhiyi Zhang of 360 ESG Codesafe Team.
    Processing maliciously crafted web content may result in the
    disclosure of process memory. A validation issue was addressed with
    improved logic.

CVE-2019-8503
    Versions affected: WebKitGTK before 2.22.6 and WPE WebKit before
    2.22.4.
    Credit to Linus Särud of Detectify.
    A malicious website may be able to execute scripts in the context of
    another website. A logic issue was addressed with improved
    validation.

CVE-2019-8506
    Versions affected: WebKitGTK and WPE WebKit before 2.24.0.
    Credit to Samuel Groß of Google Project Zero.
    Processing maliciously crafted web content may lead to arbitrary
    code execution. A type confusion issue was addressed with improved
    memory handling.

CVE-2019-8515
    Versions affected: WebKitGTK before 2.22.6 and WPE WebKit before
    2.22.4.
    Credit to James Lee, @Windowsrcer.
    Processing maliciously crafted web content may disclose sensitive
    user information. A cross-origin issue existed with the fetch API.
    This was addressed with improved input validation.

CVE-2019-8518
    Versions affected: WebKitGTK before 2.22.7 and WPE WebKit before
    2.22.5.
    Credit to Samuel Groß of Google Project Zero.
    Processing maliciously crafted web content may lead to arbitrary
    code execution. Multiple memory corruption issues were addressed
    with improved memory handling.

CVE-2019-8523
    Versions affected: WebKitGTK before 2.22.7 and WPE WebKit before
    2.22.5.
    Credit to Apple.
    Processing maliciously crafted web content may lead to arbitrary
    code execution. Multiple memory corruption issues were addressed
    with improved memory handling.

CVE-2019-8524
    Versions affected: WebKitGTK and WPE WebKit before 2.24.0.
    Credit to G. Geshev working with Trend Micro Zero Day Initiative.
    Processing maliciously crafted web content may lead to arbitrary
    code execution. Multiple memory corruption issues were addressed
    with improved memory handling.

CVE-2019-8535
    Versions affected: WebKitGTK and WPE WebKit before 2.24.0.
    Credit to Zhiyang Zeng, @Wester, of Tencent Blade Team.
    Processing maliciously crafted web content may lead to arbitrary
    code execution. A memory corruption issue was addressed with
    improved state management.

CVE-2019-8536
    Versions affected: WebKitGTK and WPE WebKit before 2.24.0.
    Credit to Apple.
    Processing maliciously crafted web content may lead to arbitrary
    code execution. A memory corruption issue was addressed with
    improved memory handling.

CVE-2019-8544
    Versions affected: WebKitGTK and WPE WebKit before 2.24.0.
    Credit to an anonymous researcher.
    Processing maliciously crafted web content may lead to arbitrary
    code execution. A memory corruption issue was addressed with
    improved memory handling.

CVE-2019-8551
    Versions affected: WebKitGTK and WPE WebKit before 2.24.0.
    Credit to Ryan Pickren, ryanpickren.com.
    Processing maliciously crafted web content may lead to universal
    cross site scripting. A logic issue was addressed with improved
    validation.

CVE-2019-8558
    Versions affected: WebKitGTK and WPE WebKit before 2.24.0.
    Credit to Samuel Groß of Google Project Zero.
    Processing maliciously crafted web content may lead to arbitrary
    code execution. Multiple memory corruption issues were addressed
    with improved memory handling.

CVE-2019-8559
    Versions affected: WebKitGTK and WPE WebKit before 2.24.0.
    Credit to Apple.
    Processing maliciously crafted web content may lead to arbitrary
    code execution. Multiple memory corruption issues were addressed
    with improved memory handling.

CVE-2019-8563
    Versions affected: WebKitGTK and WPE WebKit before 2.24.0.
    Credit to Apple.
    Processing maliciously crafted web content may lead to arbitrary
    code execution. Multiple memory corruption issues were addressed
    with improved memory handling.

CVE-2019-11070
    Versions affected: WebKitGTK and WPE WebKit before 2.24.1.
    Credit to Igalia.
    WebKitGTK and WPE WebKit failed to properly apply configured HTTP
    proxy settings when downloading livestream video (HLS, DASH, or
    Smooth Streaming), an error resulting in deanonymization. This issue
    was corrected by changing the way livestreams are downloaded.


We recommend updating to the latest stable versions of WebKitGTK and WPE
WebKit. It is the best way to ensure that you are running safe versions
of WebKit. Please check our websites for information about the latest
stable releases.

Further information about WebKitGTK and WPE WebKit security advisories
can be found at: https://webkitgtk.org/security.html or
https://wpewebkit.org/security/.

The WebKitGTK and WPE WebKit team,
April 10, 2019
Comment 1 Alexandros Toptsoglou 2019-04-11 18:16:37 UTC
*** Bug 1132196 has been marked as a duplicate of this bug. ***
Comment 3 Swamp Workflow Management 2019-05-03 13:10:36 UTC
SUSE-SU-2019:1137-1: An update that fixes 18 vulnerabilities is now available.

Category: security (important)
Bug References: 1132256
CVE References: CVE-2019-11070,CVE-2019-6201,CVE-2019-6251,CVE-2019-7285,CVE-2019-7292,CVE-2019-8503,CVE-2019-8506,CVE-2019-8515,CVE-2019-8518,CVE-2019-8523,CVE-2019-8524,CVE-2019-8535,CVE-2019-8536,CVE-2019-8544,CVE-2019-8551,CVE-2019-8558,CVE-2019-8559,CVE-2019-8563
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    webkit2gtk3-2.24.1-3.24.1
SUSE Linux Enterprise Module for Desktop Applications 15 (src):    webkit2gtk3-2.24.1-3.24.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    webkit2gtk3-2.24.1-3.24.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2019-05-06 16:23:35 UTC
SUSE-SU-2019:1155-1: An update that fixes 16 vulnerabilities is now available.

Category: security (important)
Bug References: 1132256
CVE References: CVE-2019-11070,CVE-2019-6201,CVE-2019-6251,CVE-2019-7285,CVE-2019-7292,CVE-2019-8503,CVE-2019-8506,CVE-2019-8515,CVE-2019-8524,CVE-2019-8535,CVE-2019-8536,CVE-2019-8544,CVE-2019-8551,CVE-2019-8558,CVE-2019-8559,CVE-2019-8563
Sources used:
SUSE OpenStack Cloud 7 (src):    webkit2gtk3-2.24.1-2.41.5
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    webkit2gtk3-2.24.1-2.41.5
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    webkit2gtk3-2.24.1-2.41.5
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    webkit2gtk3-2.24.1-2.41.5
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    webkit2gtk3-2.24.1-2.41.5
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    webkit2gtk3-2.24.1-2.41.5
SUSE Linux Enterprise Server 12-SP4 (src):    webkit2gtk3-2.24.1-2.41.5
SUSE Linux Enterprise Server 12-SP3 (src):    webkit2gtk3-2.24.1-2.41.5
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    webkit2gtk3-2.24.1-2.41.5
SUSE Linux Enterprise Server 12-SP2-BCL (src):    webkit2gtk3-2.24.1-2.41.5
SUSE Linux Enterprise Desktop 12-SP4 (src):    webkit2gtk3-2.24.1-2.41.5
SUSE Linux Enterprise Desktop 12-SP3 (src):    webkit2gtk3-2.24.1-2.41.5
SUSE Enterprise Storage 4 (src):    webkit2gtk3-2.24.1-2.41.5

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2019-05-10 19:12:38 UTC
openSUSE-SU-2019:1374-1: An update that fixes 18 vulnerabilities is now available.

Category: security (important)
Bug References: 1132256
CVE References: CVE-2019-11070,CVE-2019-6201,CVE-2019-6251,CVE-2019-7285,CVE-2019-7292,CVE-2019-8503,CVE-2019-8506,CVE-2019-8515,CVE-2019-8518,CVE-2019-8523,CVE-2019-8524,CVE-2019-8535,CVE-2019-8536,CVE-2019-8544,CVE-2019-8551,CVE-2019-8558,CVE-2019-8559,CVE-2019-8563
Sources used:
openSUSE Leap 15.0 (src):    webkit2gtk3-2.24.1-lp150.2.19.1
Comment 6 Swamp Workflow Management 2019-05-13 16:16:25 UTC
openSUSE-SU-2019:1391-1: An update that fixes 16 vulnerabilities is now available.

Category: security (important)
Bug References: 1132256
CVE References: CVE-2019-11070,CVE-2019-6201,CVE-2019-6251,CVE-2019-7285,CVE-2019-7292,CVE-2019-8503,CVE-2019-8506,CVE-2019-8515,CVE-2019-8524,CVE-2019-8535,CVE-2019-8536,CVE-2019-8544,CVE-2019-8551,CVE-2019-8558,CVE-2019-8559,CVE-2019-8563
Sources used:
openSUSE Leap 42.3 (src):    webkit2gtk3-2.24.1-27.1
Comment 7 Marcus Meissner 2019-10-18 18:40:33 UTC
released